Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
usermgmt::RoleChanged Struct Reference
Inheritance diagram for usermgmt::RoleChanged:

## Public Attributes
Role::Info | oldSettings
Role::Info | newSettings
Public Attributes inherited from usermgmt::RoleEvent
string | rolename
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Definition at line 26 of file RoleManager.idl.

## Member Data Documentation

## ◆ newSettings

Role::Info usermgmt::RoleChanged::newSettings

Definition at line 28 of file RoleManager.idl.

## ◆ oldSettings

Role::Info usermgmt::RoleChanged::oldSettings

Definition at line 27 of file RoleManager.idl.

The documentation for this struct was generated from the following file:

- RoleManager.idl